/* Universidade Federal Fluminense
 * Programa de Pós-Graduação em Computação
 *
 * Tópicos Avançados em Computação Visual e Interfaces II (Técnicas Avançadas de Rendering)
 * Professor: Leandro Augusto Frata Fernandes
 *
 * Version: 2012.05.16-001
 */


  varying vec3 ViewLightDirection;

// The main method.
void main(void)
{
/*
	float thisDepth = length(ViewLightDirection);
	
	//Take the texture position
	vec3 fvTexturePoint = vec3(gl_TexCoord[0].st, 0.0);
	vec4 TextureDepth = texture2D(MaterialReliefMap, fvTexturePoint.st);
	
	//Get depth from the texture
	float lightDepth = TextureDepth.x;

	//Compare depths
	float shadow = 1.0;
	if(thisDepth > lightDepth + 0.1)
	{
		//It is on shadow
		shadow = 0.33;
	}

	gl_FragColor = vec4(color * shadow, 1.0);
	*/
	vec3 color = vec3(0.6, 0.6, 1.0);
	gl_FragColor = vec4(color, 1.0);
	
}
